
Figure - Bug #117003
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.settings（17）
2023-03-17 10:10 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-17

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0083.C101(X101)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Reproducibility: Every time Fixed Version: 2023-03-17

Test Type: ST Root cause: 页面生命周期管理异常导致重复解注册 Receiver 引发的崩溃。

Description

【执行命令】

adb shell

    monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.settings (pid 4128)

// Short Msg: java.lang.IllegalArgumentException

// Long Msg: java.lang.IllegalArgumentException: Receiver not registered:

com.android.settings.deviceinfo.aboutphone.MyDeviceInfoFragment$1@f51bf19

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2491:user/test-keys

// Build Changelist: 2491

// Build Time: 1678909175000

// java.lang.IllegalArgumentException: Receiver not registered: com.android.settings.deviceinfo.aboutphone.MyDeviceInfoFragment$1@f51bf19

//     at android.app.LoadedApk.forgetReceiverDispatcher(LoadedApk.java:1555)

//     at android.app.ContextImpl.unregisterReceiver(ContextImpl.java:1789)

//     at android.content.ContextWrapper.unregisterReceiver(ContextWrapper.java:769)

//     at com.android.settings.deviceinfo.aboutphone.MyDeviceInfoFragment.onPause(MyDeviceInfoFragment.java:115)

//     at androidx.fragment.app.Fragment.performPause(Fragment.java:3158)

//     at androidx.fragment.app.FragmentStateManager.pause(FragmentStateManager.java:608)

//     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:290)

//     at androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2200)

//     at androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

//     at androidx.fragment.app.FragmentManager.popBackStackImmediate(FragmentManager.java:801)

//     at androidx.fragment.app.FragmentManager.popBackStackImmediate(FragmentManager.java:739)

//     at

com.android.settings.homepage.SettingsHomepageActivity.lambda$changeSettingsDetailsFragment$4(SettingsHomepageActivity.java:431)

//     at com.android.settings.homepage.SettingsHomepageActivity.$r8$lambda$1qTwKXK7b7eU8p6vF6USK4r3pX0(Unknown Source:0)

//     at com.android.settings.homepage.SettingsHomepageActivity$$ExternalSyntheticLambda3.run(Unknown Source:10)

//     at android.os.Handler.handleCallback(Handler.java:938)

//     at android.os.Handler.dispatchMessage(Handler.java:99)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)
//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

History

#1 - 2023-03-17 10:11 - CD TEST-方永红

- Description updated

#2 - 2023-03-17 10:21 - CD APP-王营

- Category changed from CD-APP to CD-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW-廖涛

#3 - 2023-03-17 18:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188301 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix page change crash problem.Modify fragment manage show/hide to replace.TC-RID: 1201-0201813IssueID: TS-R-BUG-117003Change-Id:

I943cf24dcec4b50dd8a4a5d0c40095b7c5c9c746

#4 - 2023-03-17 20:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188355 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix page title display after recreate page.TC-RID: 1201-0201813IssueID: TS-R-BUG-117003Change-Id:

I597d950f14ccdbfecc4ccd28b39af6bea1128fbd

#5 - 2023-03-17 20:20 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-17

- Root cause set to 页面生命周期管理异常导致重复解注册 Receiver 引发的崩溃。
■ Current conclusion

已处理，代码已入库。

■ My analysis

页面生命周期管理异常导致重复解注册 Receiver 引发的崩溃。调整 Fragment 管理策略，解决 Fragment 生命周期异常问题。

■ Next action

测试验证。

#6 - 2023-03-21 09:49 - CD TEST-方永红

3.21

19号DB版本未复现

#7 - 2023-03-22 10:16 - CD TEST-方永红

3.22

21号版本未复现

#8 - 2023-03-23 10:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

3.23

22DB版本未复现

#9 - 2023-03-23 10:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

tlog_sts40x190078_002_0316182632.tar.gz 32.9 MB 2023-03-17 CD TEST-方永红

error.txt 20.7 KB 2023-03-17 CD TEST-方永红
